# Uses of Class
org.eclipse.microprofile.openapi.apps.airlines.model.Airline

Packages that use Airline
Package
Description
org.eclipse.microprofile.openapi.apps.airlines.model
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.airlines.resources
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of Airline in org.eclipse.microprofile.openapi.apps.airlines.model

Methods in org.eclipse.microprofile.openapi.apps.airlines.model that return Airline
Modifier and Type
Method
Description
`Airline`
Flight.`getAirline()`
`Airline`
Review.`getAirlines()`
Returns the Airlines of this Review
Methods in org.eclipse.microprofile.openapi.apps.airlines.model with parameters of type Airline
Modifier and Type
Method
Description
`void`
Flight.`setAirline(Airline airline)`
`void`
Review.`setAirlinesID(Airline airlines)`
Sets the airlines for this Review
Constructors in org.eclipse.microprofile.openapi.apps.airlines.model with parameters of type Airline
Modifier
Constructor
Description
``
`Flight(Airline airline, String dateTime, String number, String status, String airportFrom, String airportTo, String price)`
``
`Review(String id, User user, Airline airlines, int rating, String comment)`
Creates an instance of the Review object with the given fields.

## Uses of Airline in org.eclipse.microprofile.openapi.apps.airlines.resources

Methods in org.eclipse.microprofile.openapi.apps.airlines.resources that return Airline
Modifier and Type
Method
Description
`static Airline`
AirlinesResource.`getRandomAirline()`